# supose generate_dag.cpp and  pg_coords.cpp are in ./

echo prepare directories
TESTDIR=./tests
DIR_GRAPHS1=$TESTDIR/set1
DIR_GRAPHS2=$TESTDIR/set2
mkdir $TESTDIR
mkdir $DIR_GRAPHS1
mkdir $DIR_GRAPHS2

echo compile programs
g++ -o generate_dag generate_dag.cpp
g++ -o pg_coords pg_coords.cpp

echo generate graphs
COUNT=200
./generate_dag -n 20000 -e_min 2000000 -e_max 4000000 -v2 -o $DIR_GRAPHS1/ -c $COUNT
./generate_dag -n 1000000 -p_min 100 -p_max 200 -pl_min 5000 -pl_max 10000 -o $DIR_GRAPHS2/ -c $COUNT

echo run algorithm

FILES=$DIR_GRAPHS1/*.gfa
for f in $FILES
do
  ./pg_coords $f -silent -log=$TESTDIR/log1 &
  ./pg_coords $f -silent -log=$TESTDIR/log1_sh -sh &
  ./pg_coords $f -silent -log=$TESTDIR/log1_gsc -gsc & 
  wait
done
echo $DIR_GRAPHS1 ready

FILES=$DIR_GRAPHS2/*.gfa
for f in $FILES
do
  ./pg_coords $f -silent -log=$TESTDIR/log2 &
  ./pg_coords $f -silent -log=$TESTDIR/log2_sh -sh &
  ./pg_coords $f -silent -log=$TESTDIR/log2_gsc -gsc & 
  wait
done

echo $DIR_GRAPHS2 ready
echo the log files are now containing table with the following entries \(tab delimited\) per line:
echo graph_name	p p* init_time all_time




